Subject: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: martin rudalics <[email-masked]>
Date: Wed, 11 Jan 2017 09:39:16 +0100

> There is a slightly cosmetic issue with above function. When one switches
 > back on decorations,
 > the frame will not resize properly and minibuffer will be not visible. It's
 > there but just
 > covered by frame. Just resizing emacs framefixes it.
 >
 > Adding call to PostMessage(hwnd, WM_SIZE,0,0) in Martins function fixes it.

This is not necessary here.  And it would be strange since the idea is
that the outer frame size remains unchanged.  Hence, any problem would
manifest itself already when you remove the borders by leaving parts of
the display area reserved for the frame not redrawn.

The image you posted in the message you sent just now seems to confirm
that.

But I'm testing this on Windows XP and have not yet pulled the recent
multi-thread Emacs changes.

martin